# Class: region_scale

## LocusZoom_Widgets~region_scale()

Display the current scale of the genome region displayed in the plot, as defined by the difference between `state.end` and `state.start`. Few users are interested in seeing coordinates with this level of precision, but it can be useful for debugging. TODO: It would be nice to move this to an extension, but helper functions drag in large dependencies as a side effect. (we'd need to reorganize internals a bit before moving this widget)

## Constructor

#### new region_scale()

Source:
  - components/toolbar/widgets.js, line 680
See:
  - module:LocusZoom_Widgets~BaseWidget for additional options